﻿using Sfs2X.Protocol.Serialization;
using System;

namespace sfs2x.extension.test.serialization.model
{
    interface Skin
    {
        string GetId();
        object GetGraphix();
    }

    class SorcererSkin : Skin, SerializableSFSType
    {
        string id;
        object graphix;

        public string GetId() { return id;  }
        public object GetGraphix() { return graphix; }
        public void SetId(string id) { this.id = id; }
        public void SetGraphix(object graphix) { this.graphix = graphix; }

        public SorcererSkin() { }
        public SorcererSkin(string id = null, Object graphix = null)
        {
            this.id = id;
            this.graphix = graphix;
        }
    }

    class KnightSkin : Skin, SerializableSFSType
    {
        string id;
        object graphix;

        public string GetId() { return id; }
        public object GetGraphix() { return graphix; }
        public void SetId(string id) { this.id = id; }
        public void SetGraphix(object graphix) { this.graphix = graphix; }

        public KnightSkin() { }
        public KnightSkin(string id = null, Object graphix = null)
        {
            this.id = id;
            this.graphix = graphix;
        }
    }
}
